devel/p5-Devel-Pragma - The NetBSD Packages Collection

Perl5 helper functions for developers of lexical pragmas

This module provides helper functions for developers of lexical pragmas.
These can be used both in older versions of perl (from 5.8.1), which have
limited support for lexical pragmas, and in the most recent versions,
which have improved support.

Build dependencies

devel/p5-ExtUtils-Depends pkgtools/cwrappers

Runtime dependencies

devel/p5-B-Hooks-EndOfScope devel/p5-B-Hooks-OP-Annotation lang/perl5 lang/perl5 devel/p5-B-Hooks-OP-Check devel/p5-B-Hooks-OP-Check devel/p5-B-Hooks-OP-Annotation

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0earmv7hfp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 8.0earmv7hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0i386p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 8.0i386p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0powerpcp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 8.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 8.0x86_64p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 8.0x86_64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0aarch64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0aarch64p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0aarch64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0alphap5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0alphap5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0alphap5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0earmv6hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0earmv6hfp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0earmv6hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0earmv7hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0earmv7hfp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0earmv7hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0earmv7hfp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0i386p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0i386p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0mips64ebp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0mips64ebp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0mips64ebp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0mips64ebp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0mips64ebp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0powerpcp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0powerpcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0sparc64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0sparc64p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0sparc64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0sparcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0sparcp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0sparcp5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0sparcp5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0x86_64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0x86_64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0x86_64p5-Devel-Pragma-1.1.0nb4.tgz
NetBSD 9.0x86_64p5-Devel-Pragma-1.1.0nb5.tgz
NetBSD 9.0x86_64p5-Devel-Pragma-1.1.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.